[OFFICIAL] sabnzbd

Problems with packages? Post here, using [tags] of the package name.

[OFFICIAL] sabnzbd

Postby crimsonredmk » Fri Feb 11, 2011 5:30 am

After seeing way too many sabnzbd topics, I've decided to just make an official topic just for it. Please post here instead of everywhere else.
Remember, Arch Linux ARM is completely donation-supported, and is totally awesome.
crimsonredmk
Site Admin
 
Posts: 433
Joined: Wed Dec 30, 2009 5:17 pm
Location: #archlinux-arm on irc.freenode.net

Re: [OFFICIAL] sabnzbd

Postby crimsonredmk » Sun Feb 13, 2011 6:02 pm

Please make sure to make a swapfile or swap partition of at least 1GB to use sabnzbd, as it eats a lot of memory when busy, and a lot of other (seemingly random) errors will be fixed. Search the forum for "swapfile".
Remember, Arch Linux ARM is completely donation-supported, and is totally awesome.
crimsonredmk
Site Admin
 
Posts: 433
Joined: Wed Dec 30, 2009 5:17 pm
Location: #archlinux-arm on irc.freenode.net

Re: [OFFICIAL] sabnzbd

Postby otaku888 » Tue Feb 15, 2011 7:48 am

I tried and failed a few times to do this and in the end, it seems it was down to the wrong version of python and openssl.

After a fresh install of Arch Linux ARM install I did these steps:
Code: Select all
pacman -U http://myplugbox.com/myrepo/arm/extra/python-2.6.5-3-arm.pkg.tar.xz
pacman -Sy cherrypy
pacman -Sy python-cheetah
pacman -U http://myplugbox.com/myrepo/arm/extra/pyopenssl-0.10-2-arm.pkg.tar.xz
pacman -Sy unrar unzip
pacman -Sy sabnzbd


Then edited the .ini file and added sabnzd to the demon list in rc.conf
otaku888
 
Posts: 10
Joined: Tue Feb 15, 2011 7:44 am

Re: [OFFICIAL] sabnzbd

Postby robotron1971 » Wed Mar 02, 2011 2:55 pm

After the February update http://plugboxlinux.org/index.php5/PlugApps_February_Update, my sabnzbd failed to connect to my news server. Investigation showed "ssl not installed', even though pyopenssl was installed, and it was running smoothly right before the 30 minute update.

Since I was running 0.5.6 http://Arch Linux ARM.com/forum/viewtopic.php?f=15&t=651 , i thought I would scrap it all, remove all dependencies, and try to use the 0.5.4 instructions (posted above), but still had the same issues.

I then tried to just look at
Code: Select all
pacman -Sy sabnzbd
but was greeted with:
error: 'sabnzbd': could not find or read package


I am using nzbget for now, but wondered if anyone else was having similar issues?
robotron1971
 
Posts: 11
Joined: Mon Jul 19, 2010 8:06 pm

Re: [OFFICIAL] sabnzbd

Postby pepedog » Wed Mar 02, 2011 3:14 pm

Did you have openssl installed?
pepedog
Developer
 
Posts: 2412
Joined: Mon Jun 07, 2010 3:30 pm
Location: London UK

Re: [OFFICIAL] sabnzbd

Postby robotron1971 » Wed Mar 02, 2011 3:21 pm

pepedog wrote:Did you have openssl installed?



Yes, sorry should have been more clear.

"SSl not installed' is the message that sabnzbd likes to give if pyopenssl (or python2-pyopenssl) isn't installed. the old package that WAS in the repository (before teh last update) would give that message as well, which is why the older version had to be used (see the manual install instructions above)

My suspicion is that there was an update to either the python package, or the pyopenssl package in the February update...and now there is a mismatch.
robotron1971
 
Posts: 11
Joined: Mon Jul 19, 2010 8:06 pm

Re: [OFFICIAL] sabnzbd

Postby pepedog » Wed Mar 02, 2011 3:26 pm

Try this
pacman -Sf python-pip
Then try this
pip install pyopenssl
pepedog
Developer
 
Posts: 2412
Joined: Mon Jun 07, 2010 3:30 pm
Location: London UK

Re: [OFFICIAL] sabnzbd

Postby pepedog » Wed Mar 02, 2011 3:37 pm

BTW, I have never run any nz program, but run my own news servers. The are stand alone and not connected to main usenet.
pepedog
Developer
 
Posts: 2412
Joined: Mon Jun 07, 2010 3:30 pm
Location: London UK

Re: [OFFICIAL] sabnzbd

Postby crimsonredmk » Wed Mar 02, 2011 6:11 pm

;) Of course. And you share legal Linux ISO's. ;) (just kidding, but I don't think anyone cares, for the record).
Remember, Arch Linux ARM is completely donation-supported, and is totally awesome.
crimsonredmk
Site Admin
 
Posts: 433
Joined: Wed Dec 30, 2009 5:17 pm
Location: #archlinux-arm on irc.freenode.net

Re: [OFFICIAL] sabnzbd

Postby otaku888 » Thu Mar 03, 2011 7:46 am

robotron1971 wrote:
Since I was running 0.5.6 http://Arch Linux ARM.com/forum/viewtopic.php?f=15&t=651 , i thought I would scrap it all, remove all dependencies, and try to use the 0.5.4 instructions (posted above), but still had the same issues.

I then tried to just look at
Code: Select all
pacman -Sy sabnzbd
but was greeted with:
error: 'sabnzbd': could not find or read package


I am using nzbget for now, but wondered if anyone else was having similar issues?


I had the same issue when upgrading, turns out the pacman mirrorlist didn't have the AUR repo added, although I only found out by installing from scratch.

But my instructions aren't valid any more with the update, if you have the AUR repo added, you just have to run pacman -Sy sabnzbd and it will install all dependencies and you should be up and running.
otaku888
 
Posts: 10
Joined: Tue Feb 15, 2011 7:44 am

Next

Return to Packages

Who is online

Users browsing this forum: No registered users and 1 guest